﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Browser;

namespace _289938_TreeViewContainerBindings
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView.ItemsSource = this.GenerateData();
		}

		private ObservableCollection<Department> GenerateData()
		{
			ObservableCollection<Department> result = new ObservableCollection<Department>();

			for (int j = 0; j < 4; j++)
			{
				Department d = new Department()
				{
					Name = String.Format("Department {0}", j),
					IsChecked = ((j % 2) == 0)
				};

				for (int k = 0; k < 7; k++)
				{
					Employee e = new Employee()
					{
						Name = String.Format("Employee {0}", k),
						IsChecked = ((k % 2) == 0)
					};
					d.Employees.Add(e);
				}
				result.Add(d);
			}
			return result;
		}

		private void RadButton_Click(object sender, RoutedEventArgs e)
		{
			int count = 0;
			foreach (Department dept in treeView.ItemsSource)
			{
				if (dept.IsChecked == true)
				{
					count++;
				}
				foreach (Employee emp in dept.Employees)
				{
					if (emp.IsChecked == true)
					{
						count++;
					}
				}
			}

			this.TxtCount.Text = count.ToString();
		}
	}
}
